Wordpress Themes - WP Forum at BFA

Wordpress Themes - WP Forum at BFA (http://forum.bytesforall.com/index.php)
-   Old Version fixes and change logs (http://forum.bytesforall.com/forumdisplay.php?f=37)
-   -   if you are getting blank page with Atahualpa 3.6.x (Suhosin issue) (http://forum.bytesforall.com/showthread.php?t=12262)

lmilesw Jan 15, 2011 12:36 PM

if you are getting blank page with Atahualpa 3.6.x (Suhosin issue)
 
If you are unable to activate or even preview 3.6.x give these a try and let us know if one of the following work.

First add the following to your .htaccess file
HTML Code:

php_value suhosin.executor.include.whitelist bfa://

Or perhaps this instead

php_value suhosin.executor.include.whitelist "bfa://"

If that doesn't work, add the following line to your php.ini file in the root (public_html) folder of your site.
HTML Code:

suhosin.executor.include.whitelist bfa://

Here is an alternative syntax

suhosin.executor.include.whitelist = bfa://

If you don't have a php.ini file you can either create one with that line in it or just download the attached zip file, unzip and upload the included php.ini to your root folder. The attached php.ini zip file has the first syntax.


see also: http://forum.bytesforall.com/showthread.php?t=12673

You may also have to add a path to your php.ini file as mentioned in this post.

kmack Jan 16, 2011 12:36 PM

Oops... did not work for me. I did an auto update of the theme and it said all was OK, but it is not. Blue gray blank screen.

I have the site running in a sub folder and put the unzipped file php.ini you provided in both the /public_html and the /rto folder but still seeing only a blank page.

I have a backup but a bit cumbersome to pull it down and redo. Any other suggestions are very welcome. :)

Site is RAINTREE I deactivated plugins but still the same. Thanks in advance.

Kmack

lmilesw Jan 16, 2011 01:21 PM

It does appear to work for some and not others. An alternative to recovering a backup is just to upload 3.5.3 into a separate folder via FTP. You would then have an atahualpa and an atahualp353 folder. Since you did an automatic upgrade you will have to add your header and logo images if you had any in the atahualpa/images folder.

We generally recommend a manual backup so you can switch back to a previous version if something doesn't go quite right.

kmack Jan 16, 2011 02:00 PM

Wow! Thanks for the very fast reply. I'll see if I can undo it by using my backup that is saved in the cloud. Appreciate your help.

kmack

novadux Jan 16, 2011 05:24 PM

It does not work here - so I loaded an ini to every folder in my system. Not working.

Hans

Quote:

Originally Posted by lmilesw (Post 54871)
If you are unable to activate or even preview 3.6.1 give this a try and let us know how it works. So far it has proven successful.

Add the following line to your php.ini file in the root (public_html) folder of your site.
HTML Code:

suhosin.executor.include.whitelist bfa://
If you don't have a php.ini file you can either create one with that line in it or just download the attached zip file, unzip and upload the included php.ini to your root folder.


novadux Jan 16, 2011 05:31 PM

Where do one find the 3.5.3 ?

juggledad Jan 16, 2011 06:18 PM

Look in the 'New Versions & Updates' forum and you will find a link

lordi Jan 16, 2011 10:17 PM

Quote:

Originally Posted by kmack (Post 54937)
Oops... did not work for me. I did an auto update of the theme and it said all was OK, but it is not. Blue gray blank screen.


yep, same with me, don't work, only white blank screen, i put it in my WP root, still same. after that put in public_html and same result

bvision Jan 18, 2011 02:09 PM

I'm sorry on my bvision.nl site the 3.5.3 still works, but i tried everything to get the 3.6.1. working, WP super cache off, implemeted the ini file, but no atahualpa working...

chycoo Jan 20, 2011 01:03 PM

I try add php.ini but donnīt work

scrollpost Jan 21, 2011 12:30 AM

I am sorry, but to be brutally frank, the instruction given in this thread is 100% bogus because a php.ini file can be located anywhere depending on the host's configuration and the original poster had no clue about this.

lmilesw Jan 21, 2011 10:05 AM

If you will notice I said give this a try and let us know if it works. These instructions worked for me on one site that was having problems. I put the php.ini file in and the problems went away. I took it out and the problems came back. I put it back in and the problems went away again. This issue APPEARS to be an environmental issue and this was just one idea to try. So this may be bogus for some but I know it worked for at least one person.

Knut Sparhell Jan 22, 2011 06:20 PM

Quote:

Originally Posted by lmilesw (Post 54871)
HTML Code:

suhosin.executor.include.whitelist bfa://

I have come accross two web hosts who have this blank page problem. Confirmed it to be PHP module Suhosin related.

The above php.ini directive, and the file made for download, has a wrong syntax. I have confirmed that it will not work with this syntax.

The correct syntax for an ini directive is:

parameter.name = value

Thus, try this line in your php.ini file:
Code:

suhosin.executor.include.whitelist = bfa://
Another thing is that, when suPHP module is installed in Apache, to make Apache accept a local ini file, you may have to set this directive in your .htaccess file:
Code:

suPHP_ConfigPath /home/<your-user-dir>/
(substitute <your-user-dir> with your actual user name, or whatever absolute path your web site has on the server).

By doing both the above changes we fixed the white page problem. But trying the line "php_value suhosin.executor.include.whitelist bfa://" in .htaccess did just crash the sites, and we immediately removed the line.

php.ini should be located in the very root (/) of your account (above www), while the .htaccess file usually is located in the www or public_html folder.

juggledad Jan 22, 2011 08:13 PM

Kurt - thank you for the detailed explanation!

lmilesw Jan 22, 2011 08:38 PM

Thanks Kurt. It will be good to test that syntax. Where did you find that syntax? I had a specific instance of it definitely working although I did not try the syntax with the = in it but I suppose it could have been a fluke. That's why I wanted people to test it.

I have edited the original post with the alternative syntax so that both are there until we get a difinitive.

Knut Sparhell Jan 23, 2011 09:32 AM

Quote:

Originally Posted by lmilesw (Post 55633)
Where did you find that syntax?

The syntax of a general php.ini directive (line) is found on php.net, naturally. Every line in php.ini, except the comment lines, must follow this value pair syntax to be understood by the php engine.

At Suhosin web site you can find the name of the parameter, exactly as you used it.

I still doesn't understand fully why this ini setting seems to completely disable the suhosin module. But fact is that it disappears from phpinfo().

At last I have a tip, as an alternative to making av file conaining <?php phpinfo(); ?>. This is to install the weodprees plugin "WP Serverinfo". It will give you all information on both PHP and MySQL on your server.

One of the web hosts I have investigated is ProISP. But on both web hosts the suhosin module disapperas completely. If this is to some security thing, I think that it was a bit too easy to just disable it. I would have expected that it just displayed a whitelist of "schemes".

I would be quite interetes in wich line in the Atahualpa code thet triggers the suhosin module to kill the whole process so abruptly. The whole thing really needs investigation.

pilgrim Jan 26, 2011 08:28 AM

Quote:

Originally Posted by lmilesw (Post 54938)
It does appear to work for some and not others. An alternative to recovering a backup is just to upload 3.5.3 into a separate folder via FTP. You would then have an atahualpa and an atahualp353 folder. Since you did an automatic upgrade you will have to add your header and logo images if you had any in the atahualpa/images folder.


Where can the 3.5.3 version of the theme be found? I tried to find it through wordpress but only option is 3.6.1. it seems that this is the only way to fix the problem. Have tried the delete button mentioned by JD and what you mentioned, neither worked.

lmilesw Jan 26, 2011 12:31 PM

You can get any previous versions at wordpress.bytesforall.com.

ChrisR Feb 1, 2011 08:25 AM

Tried it out without success. Got a blank page with 3.6.1 and 3.6.4.

Greets
Chris

Tatsu Feb 1, 2011 12:52 PM

In an effort to reproduce this problem I set up an Ubuntu Server 10.10 VM with lubuntu9.3 (LAMP), no small task for this non-*nix guy. This also includes PHP 5.3.3 with Suhosin patch 0.9.9.1. I installed WP 3.0.4 and added Atahualpa 3.6.1 with no problems.

Looking back at my production server (which I have no control over other than the web server content), it is running PHP 5.2.13 with Suhosin 0.9.7.

Does anyone else have any version information they can share that might help us figure out where the root cause of the problem might be?

Tatsu Feb 1, 2011 02:15 PM

I went a step further and set up a fresh WP 3.0.4 in a sub-directory on the production server that is giving me trouble. Lo and behold, Atahualpa activated with no problems. This leads me to believe that Suhosin (at least version 0.9.7) may not be the problem after all.

I have already tried installing all the Plug-ins on my local VM that I am using in production but none of them appear to have broken anything. I am going to try some more experiments later, maybe tomorrow, to try and pin-point the problem. I'll keep you posted. Feel free to PM me if you have suggestions on specific things I might want to check.

Tatsu Feb 2, 2011 12:59 PM

I added plug-ins to the test site one-by-one until The Events Calendar blew up the admin pages. It looks like something in this plug-in doesn't play well with Atahualpa. I may look at other plug-ins but the was the top rated calendar app and seemed to be the best featured.

What can I do to help figure what's wrong with the plug-in?

Update: Events Manager Extended and My Calendar also have problems.

Knut Sparhell Feb 4, 2011 03:08 AM

The Event Calendar plugin is NOT compatible with WordPress 3.0 and above. It must not be used as is!

If you desperately need a version of Event Calendar that works with WP 3.0+ I have a modified version running quite well.

Koukla Feb 7, 2011 12:12 PM

Do you think that this problem with suhosin will be corrected with future versions? Is this a problem with this particular theme or with Wordpress in general? I'm confused because I was reading on another thread about "Wordpress requirements." My host (dreamhost) gave me a choice if I wanted to switch to the new version of php (5.3) and when I tried it, my site would not work. I switched back to 5.2 and all is fine, but I'm just worried that at some point in the future I won't have a choice and will have to use the version with suhosin in it. I don't want to have to move hosts or change themes if I don't have to, but I want to prepare myself if this is going to be a huge problem. Thanks for any insight you could give me.

juggledad Feb 7, 2011 12:57 PM

Quote:

Do you think that this problem with suhosin will be corrected with future versions? Is this a problem with this particular theme or with Wordpress in general?
The issue with Suhosin has a solution. You need to add a line of code to the php.ini to whitelist some code. Will this ever change?? who knows. The theme was using the 'eval()' php function, but WordPress now forbids the use of it to protect users from malicious code. Flynn - the developer of Atahualpa, was forced to change the code to user 'stream wrappers' to keep some of the functionalaty of the theme working. Suhosin prevents the use of 'stream wrappers' unless you shut that Suhosin option off, or create a whitelist.
Quote:

I'm confused because I was reading on another thread about "Wordpress requirements."
Suhosin is not required by wordpress or Atahualpa and if it is installed, there is a work around
Quote:

My host (dreamhost) gave me a choice if I wanted to switch to the new version of php (5.3) and when I tried it, my site would not work. I switched back to 5.2 and all is fine, but I'm just worried that at some point in the future I won't have a choice and will have to use the version with suhosin in it.
Suhosin can be compiled and become part of PHP. It is code designed to 'harden' php by preventing certain functions from being used. From what you are saying, I would guess that they have it included as part of PHP 5.3, but not as part of 5.2
Quote:

I don't want to have to move hosts or change themes if I don't have to, but I want to prepare myself if this is going to be a huge problem. Thanks for any insight you could give me.
There are over 100 options in Suhosin, one even limits the length of a variable name. Will


All times are GMT -6. The time now is 04:21 PM.

Powered by vBulletin® Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.